default:
  image: docker:latest
  services:
    - docker:dind

stages:
  - test
  - push

eslint:
  stage: test
  variables:
    NODE_ENV: "test"
  script:
    - docker build --build-arg NPM_TOKEN=$NPM_TOKEN -t rcf-rimow .
    - docker run -e NODE_ENV rcf-rimow yarn run lint

Push latest:
  stage: push
  only:
    - dev
    - main
    - master
    - tags
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker info
    - docker build --build-arg NODE_ENV=$NODE_ENV --pull --cache-from $CI_REGISTRY_IMAGE:latest --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA .
    - docker tag $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA $CI_REGISTRY_IMAGE:latest
    - docker push $CI_REGISTRY_IMAGE:latest
    - docker tag $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
  interruptible: true
